org.opencv.xphoto

## Class Xphoto

- java.lang.Object
- - org.opencv.xphoto.Xphoto

-     public class Xphoto
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BM3D_STEP1`
    `static int` | `BM3D_STEP2`
    `static int` | `BM3D_STEPALL`
    `static int` | `HAAR`
    `static int` | `INPAINT_SHIFTMAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Xphoto()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `applyChannelGains(Mat src, Mat dst, float gainB, float gainG, float gainR)`
    `static void` | `bm3dDenoising(Mat src, Mat dst)`
    `static void` | `bm3dDenoising(Mat src, Mat dst, float h, int templateWindowSize, int searchWindowSize, int blockMatchingStep1, int blockMatchingStep2, int groupSize, int slidingStep, float beta, int normType, int step, int transformType)`
    `static void` | `bm3dDenoising(Mat src, Mat dstStep1, Mat dstStep2)`
    `static void` | `bm3dDenoising(Mat src, Mat dstStep1, Mat dstStep2, float h, int templateWindowSize, int searchWindowSize, int blockMatchingStep1, int blockMatchingStep2, int groupSize, int slidingStep, float beta, int normType, int step, int transformType)`
    `static GrayworldWB` | `createGrayworldWB()`
    `static LearningBasedWB` | `createLearningBasedWB()`
    `static LearningBasedWB` | `createLearningBasedWB(java.lang.String path_to_model)`
    `static SimpleWB` | `createSimpleWB()`
    `static void` | `dctDenoising(Mat src, Mat dst, double sigma)`
    `static void` | `dctDenoising(Mat src, Mat dst, double sigma, int psize)`
    `static void` | `inpaint(Mat src, Mat mask, Mat dst, int algorithmType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HAAR

          public static final int HAAR

      See Also:
        Constant Field Values

    - #### BM3D_STEPALL

          public static final int BM3D_STEPALL

      See Also:
        Constant Field Values

    - #### BM3D_STEP1

          public static final int BM3D_STEP1

      See Also:
        Constant Field Values

    - #### BM3D_STEP2

          public static final int BM3D_STEP2

      See Also:
        Constant Field Values

    - #### INPAINT_SHIFTMAP

          public static final int INPAINT_SHIFTMAP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Xphoto

          public Xphoto()

  - ### Method Detail

    - #### createGrayworldWB

          public static GrayworldWB createGrayworldWB()

    - #### createLearningBasedWB

          public static LearningBasedWB createLearningBasedWB(java.lang.String path_to_model)

    - #### createLearningBasedWB

          public static LearningBasedWB createLearningBasedWB()

    - #### createSimpleWB

          public static SimpleWB createSimpleWB()

    - #### applyChannelGains

          public static void applyChannelGains(Mat src,
                                               Mat dst,
                                               float gainB,
                                               float gainG,
                                               float gainR)

    - #### bm3dDenoising

          public static void bm3dDenoising(Mat src,
                                           Mat dst,
                                           float h,
                                           int templateWindowSize,
                                           int searchWindowSize,
                                           int blockMatchingStep1,
                                           int blockMatchingStep2,
                                           int groupSize,
                                           int slidingStep,
                                           float beta,
                                           int normType,
                                           int step,
                                           int transformType)

    - #### bm3dDenoising

          public static void bm3dDenoising(Mat src,
                                           Mat dst)

    - #### bm3dDenoising

          public static void bm3dDenoising(Mat src,
                                           Mat dstStep1,
                                           Mat dstStep2,
                                           float h,
                                           int templateWindowSize,
                                           int searchWindowSize,
                                           int blockMatchingStep1,
                                           int blockMatchingStep2,
                                           int groupSize,
                                           int slidingStep,
                                           float beta,
                                           int normType,
                                           int step,
                                           int transformType)

    - #### bm3dDenoising

          public static void bm3dDenoising(Mat src,
                                           Mat dstStep1,
                                           Mat dstStep2)

    - #### dctDenoising

          public static void dctDenoising(Mat src,
                                          Mat dst,
                                          double sigma,
                                          int psize)

    - #### dctDenoising

          public static void dctDenoising(Mat src,
                                          Mat dst,
                                          double sigma)

    - #### inpaint

          public static void inpaint(Mat src,
                                     Mat mask,
                                     Mat dst,
                                     int algorithmType)

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1